Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.control
Class HttpMirrorControl

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.protocol.http.control.HttpMirrorControl

All Implemented Interfaces:
  Cloneable, Serializable, TestElement

public class HttpMirrorControl
extends AbstractTestElement

Test element that implements the Workbench HTTP Mirror function

See Also:
  Serialized Form

Field Summary
`static String` | `DEFAULT_PORT_S`
`static String` | `PORT`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`HttpMirrorControl()`
`HttpMirrorControl(int port)`

Method Summary
`boolean` | `canRemove()` Called by Remove to determine if it is safe to remove the element.
`int` | `getDefaultPort()`
`Class` | `getGuiClass()`
`int` | `getPort()`
`String` | `getPortString()`
`boolean` | `isServerAlive()`
`void` | `setPort(int port)`
`void` | `setPort(String port)`
`void` | `startHttpMirror()`
`void` | `stopHttpMirror()`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT_S

    public static final String DEFAULT_PORT_S

### PORT

    public static final String PORT

See Also:
  Constant Field Values

Constructor Detail

### HttpMirrorControl

    public HttpMirrorControl()

### HttpMirrorControl

    public HttpMirrorControl(int port)

Method Detail

### setPort

    public void setPort(int port)

### setPort

    public void setPort(String port)

### getPort

    public int getPort()

### getPortString

    public String getPortString()

### getDefaultPort

    public int getDefaultPort()

### getGuiClass

    public Class getGuiClass()

### startHttpMirror

    public void startHttpMirror()

### stopHttpMirror

    public void stopHttpMirror()

### canRemove

    public boolean canRemove()

  Description copied from interface: `TestElement`
  Called by Remove to determine if it is safe to remove the element. The element can either clean itself up, and return true, or the element can return false.

  Specified by:
    `canRemove` in interface `TestElement`
  Overrides:
    `canRemove` in class `AbstractTestElement`

### isServerAlive

    public boolean isServerAlive()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.